package ink.wgink.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IdsVO
 * @Description: Id列表VO
 * @Author: wanggeng
 * @Date: 2021/2/14 10:17 上午
 * @Version: 1.0
 */
@ApiModel
public class IdsVO {

    @ApiModelProperty(name = "ids", value = "ID列表")
    private List<String> ids;
    @ApiModelProperty(name = "ids2", value = "ID列表")
    private List<String> ids2;

    public List<String> getIds() {
        return ids == null ? new ArrayList() : ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public List<String> getIds2() {
        return ids2;
    }

    public void setIds2(List<String> ids2) {
        this.ids2 = ids2;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"ids\":")
                .append(ids);
        sb.append(",\"ids2\":")
                .append(ids2);
        sb.append('}');
        return sb.toString();
    }
}
